# Inclusion

Dans le cadre de ~~[manger ma propre bouffe pour chien](https://en.wikipedia.org/wiki/Eating_your_own_dog_food)~~ mon [autoéquipement](https://fr.wikipedia.org/wiki/Auto%C3%A9quipement), je voulais vérifier si l’implémentation de [oEmbed](https://oembed.com/) dans [uMap](https://umap-project.org/fr/) était utilisable… et il se trouve que ce n’était pas le cas avant aujourd’hui. Il y aurait encore des pistes d’améliorations mais au moins ça affiche une carte (si vous autorisez les requêtes externes en JS) :

{{ extra }}

J’en ai fait un *web component* car je compte explorer / publier davantage de cartes par la suite. Je vais essayer d’ajouter des options lorsqu’elles deviendront disponibles côté uMap. Pour l’instant, il faudra vous contenter d’un `view-source:` (meilleure fonctionnalité du Web, ne l’oublions jamais).

Au passage, j’ai mis à jour le moteur de ce site pour pouvoir injecter des morceaux de HTML (et donc CSS/JS) sur des billets en particulier. Je m’amuse bien 🧑‍🔬.

Je compte [reparler de cette carte](/david/2024/03/11/#hr-109).

---

Beaucoup moins glorieux, j’ai participé à [de la perte de données](https://forum.openstreetmap.fr/t/mise-en-production-umap-v2-1-x-compliquee-perte-des-dernieres-donnees-sauvegardees-sur-52-cartes/22336) aujourd’hui. Nous avons eu besoin de trois cerveaux et pas mal d’heures pour comprendre ce qu’il se passait. Il était difficile de tester / imaginer / reproduire autrement que sur le serveur de production. C’est déjà pas mal d’avoir eu la possibilité de passer en lecture seule avant que ça ne touche trop de cartes.

J’ai appris qu’il ne fallait pas se fier à l’ordre des IDs… lorsqu’ils deviennent des UUIDs !

---

> [en] A data hoarder’s dream come true: bundle any web page into a single HTML file. You can finally replace that gazillion of open tabs with a gazillion of .html files stored somewhere on your precious little drive.
>
> Unlike the conventional “Save page as”, monolith not only saves the target document, ==it embeds CSS, image, and JavaScript assets all at once,== producing a single HTML5 document that is a joy to store and share.
> 
> <cite>*[monolith](https://github.com/Y2Z/monolith)*</cite>

Je me demande si je ne devrais pas avoir recours à ce type d’outil plutôt que de n’extraire que la partie de HTML qui m’intéresse pour garder [une copie des liens](/david/2024/02/03/) que je lie par ici. C’est pour l’instant un peu fastidieux mais ça me fait aussi découvrir des choses en explorant le code des autres.

---

> [en] For this reason, I got more into ==“Conflict-free Resolution Data Types” (CRDTs),== with the goal of understanding what they are, how they work, what are the different libraries out there, and which one would be a good fit for us, if any.
>
> <cite>*[A comparison of JavaScript CRDTs](https://blog.notmyidea.org/a-comparison-of-javascript-crdts.html)*</cite>

J’apprends plein de choses à ce sujet grâce à Alexis, c’est chouette à explorer par procuration.

---

> [en] To summarize, digital information requires maintenance. It's not sufficient to make backups; the backups also need to be maintained, upgraded, transferred, and curated. Without conscientious care, the data of today will be lost forever in a few years. Even with care, it's possible through software or hardware changes to lose access forever. That shoebox of old backup CDs will be unreadable soon.
>
> Which brings us back to those old photo caches. They held negatives and prints, physical objects that stored images. They needed no attention, no curating, no updating. They sat untended and forgotten for decades, but through all that time faithfully held their information, waiting for a future discoverer. As a result, we can all see what the Scott Antarctic expedition saw, and I can see what my great-grandparents looked like.
>
> ==It is a sad irony that modern technology makes it unlikely that future generations will see the images made today.==
>
> Ask yourself whether your great-grandchildren will be able to see your photographs. If the images exist only as a digital image file, the answer is almost certainly, "No". If, however, there are physical prints, the odds improve. Those digital images need to be made real to endure. Without a print, a digital photograph has no future.
> 
> <cite>*[command center: Prints](https://commandcenter.blogspot.com/2014/08/prints.html)*</cite>

Très vrai _et_ je me demande si le fait d’avoir des artefacts qui perdurent sur plusieurs générations sans entretien / transmission n’est pas justement un épiphénomène. Le numérique est peut-être plus proche de la transmission orale, une information qui a besoin d’être appropriée par læ récepteur·ice pour qu’elle continue à vivre.

Ce sera à moi d’apprendre à ma descendance comment garder en vie cette flamme numérique qui vacille à chaque coup de vent de format propriétaire.

#dépendance #partage #technique
