# Technocritique

> [en] Given the extreme connectivity constraints at the South Pole, I wrote a Python script for publishing to S3 that worked well in the challenging environment. It uses the S3 API to upload assets in small chunks. It detects and resumes failed uploads without losing progress. It waits until everything is safely uploaded before publishing the new version.
>
> If I can do it, unpaid, working alone, for my silly little hobby blog, in 200 lines of Python… ==surely your team of engineers can do so== for your flagship webapp.
>
> <cite>*[Engineering for Slow Internet](https://brr.fyi/posts/engineering-for-slow-internet)*</cite>

En ce moment, suite à une mise à jour de l’application SONOS rendant mes enceintes inutilisables (n’achetez jamais cette marque…), je m’amuse à faire une interface web grâce au [serveur open-source](https://github.com/avantrec/soco-cli/) qui a été développé ces dernières années.

C’est triste d’en arriver là, je ressens fort le pouvoir que me procurent mes capacités de développeur mais je sais aussi que la majorité subit l’emmerdification logicielle (c’était déjà pas terrible avant !) sans avoir d’autre option.

Ce n’est pas encore prêt à être utilisable par d’autres mais c’est stimulant d’ajouter des fonctionnalités au fil des besoins locaux. Je réalise à quel point le manque de réactivité de l’app de 175Mo n’est pas liée au *hardware* vu que j’arrive à avoir quelque chose d’immédiat avec quelques lignes de Python + JS/HTML.

> [en] The **only way** I was able to get this done was by **turning off the phone entirely**, right before Internet access dropped, and then turning it back on when Internet access resumed at the next satellite pass. This tricked the phone into not giving up on the download, because it was totally off during the period without Internet. It never had a chance to fail. By doing this, I was able to spread out the download across multiple satellite passes, and I could complete the download.
>
> This is an absurd workaround! I should not have had to do this.
>
> <cite>*Ibid.*</cite>

---

> À chaque technologie qu’on vous propose, qui émerge dans le champ commercial, il s’agit toujours de se demander : en quoi cette tech va-t-elle nourrir ou appauvrir mon rapport aux autres, au monde et à moi-même ? Il est très facile de mesurer le pouvoir qu’une appli ou qu’un service numérique apporte, beaucoup plus insidieux de réaliser ce qu’elle nous fait perdre ou même dégrade dans nos relations et nos puissances propres : puissance de créer, de réfléchir, d’imaginer, d’être empathique, d’écouter, puissance physique de ressentir par soi-même, de se déplacer, de garder son énergie, etc.
>
> ==La technocritique doit discriminer pouvoir (le faire faire) et puissance (le faire par soi-même, en autonomie),== ouverture ou fermeture au monde, enrichissement ou effilochement des liens, impact sur l’écologie en amont et en aval, exhaustion des ressources, impacts sociaux sur les pays en développement, pollutions induites, pour notre Terre — mais aussi dans nos cerveaux avec le siphonnage permanent de notre attention, de nos temps libres par le numérique. Et elle doit aussi se demander : quels désirs doit-on encourager ? Quelle liberté ou émancipation la techno doit-elle nous aider à atteindre ? Le peut-elle seulement, et dans quel contexte d’usage ?
> 
> <cite>*[« On a besoin de pirates pour saboter les datacenters d’Amazon, pour bloquer les plateformes d’Uber ou de Airbnb »](https://bonpote.com/on-a-besoin-de-pirates-pour-saboter-les-datacenters-damazon-pour-bloquer-les-plateformes-duber-ou-de-airbnb/)*</cite>

~~Martine~~ Alain aux US.

---

> [en] Google utilizes cookie history, logged-in Chrome data, and pattern detection (referred to in the leak as “unsquashed” clicks versus “squashed” clicks) as effective means for fighting manual & automated click spam. […]
> 
> My anonymous source claimed that way back in 2005, ==Google wanted the full clickstream of billions of Internet users, and with Chrome, they’ve now got it.== The API documents suggest Google calculates several types of metrics that can be called using Chrome views related to both individual pages and entire domains.
>
> This document, describing the features around how Google creates Sitelinks, is particularly interesting. It showcases a call named topUrl, which is “A list of top urls with highest two_level_score, i.e., chrome_trans_clicks.” My read is that Google likely uses the number of clicks on pages in Chrome browsers and uses that to determine the most popular/important URLs on a site, which go into the calculation of which to include in the sitelinks feature.
>
> <cite>*[An Anonymous Source Shared Thousands of Leaked Google Search API Documents with Me; Everyone in SEO Should See Them](https://sparktoro.com/blog/an-anonymous-source-shared-thousands-of-leaked-google-search-api-documents-with-me-everyone-in-seo-should-see-them/)*</cite>

Ce qui est bien avec les produits Google c’est qu’on n’est jamais surpris.

---

> En prenant un tout petit peu de recul Josh se rend compte que cette troupe ne comprend pas vraiment ce qu’est le Bluetooth, son fonctionnement SANS FIL justement. Josh a de son côté pris part à des développement dans ce format au cours de son activité professionnelle. Il a même remonté des bugs rencontrés sur ce format à Ericsson au début des années 2000. ==Comment, avec un diplôme d’informatique en poche, Josh peut-il avoir tord== et comment ces gens qui ne comprennent pas le fonctionnement du Bluetooth peuvent-ils avoir raison ?
> 
> <cite>*[L’aventurier du casque Bluetooth maudit](https://www.minimachines.net/actu/casque-apple-lightning-bluetooth-127339)*</cite>

Cette histoire peut être lue avec tellement d’angles — et de biais — possibles. Je me demande quel serait le bilan carbone des deux options sur du long terme en tenant compte de la production, du transport, de la durabilité, de la consommation, etc.

---

> [en] This approach serves as a reminder of the constantly changing tactics of cybercriminals and, unfortunately, illustrates why you can never blindly trust what someone shares online.
>
> Instead, ==developers must verify the source of all packages they add to their projects,== and even if it feels trustworthy, check the code (with word wrap enabled) for unusual or obfuscated commands that will be executed.
>
> <cite>*[Cybercriminals pose as “helpful” Stack Overflow users to push malware](https://www.bleepingcomputer.com/news/security/cybercriminals-pose-as-helpful-stack-overflow-users-to-push-malware/)*</cite>

Bon courage.

---

> J’ai appris qu’un produit beau avec des erreurs fonc­tionne mieux qu’un produit moche sans erreurs. ==C’est contre-intui­tif pour moi et pas dans mes attentes mais c’est la réalité du terrain.== J’ai appris qu’au-delà du *beau*, l’ex­pé­rience utili­sa­teur dans la mani­pu­la­tion des inter­faces était une vraie exper­tise qui faisait toute la diffé­rence. J’ai appris que l’adé­qua­tion aux besoins métier primait encore plus sur tout ça. 
> 
> <cite>*[Quick ‘n dirty - Carnet de notes](https://n.survol.fr/n/quick-n-dirty)*</cite>

Oui. J’ai appris cela aussi.

J’ai même appris que des gué-guerres politiques internes pouvaient sabrer la meilleure des techniques.

#apprentissage #déception #dystopie
